cdac.medinfo.sdk.hl7282.utils

## Enum EnumErrorCode

- java.lang.Object
- - java.lang.Enum<EnumErrorCode>
  - - cdac.medinfo.sdk.hl7282.utils.EnumErrorCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumErrorCode>

      public enum EnumErrorCode
      extends java.lang.Enum<EnumErrorCode>

  This Enum contains all Error Codes raised by SDK.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION_ERROR` Application Error
    `DATA_TYPE_ERROR` Data type error
    `MESSAGE_ACCEPTED` Enum code for Message Accepted
    `REQUIRED_FIELD_MISSING` Required field missing
    `SEGMENT_SEQUENCE_ERROR` Enum Code for Segment sequence error
    `TABLE_VALUE_NOT_FOUND` Table value not found
    `UNSUPPORTED_EVENT_CODE` Unsupported event code
    `UNSUPPORTED_MESSAGE_TYPE` Unsupported message type
    `UNSUPPORTED_PROCESSING_ID` Unsupported processing id
    `UNSUPPORTED_VERSION_ID` Unsupported version id

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Returns the String value of this enum.
    `static EnumErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MESSAGE_ACCEPTED

          public static final EnumErrorCode MESSAGE_ACCEPTED

      Enum code for Message Accepted

    - #### SEGMENT_SEQUENCE_ERROR

          public static final EnumErrorCode SEGMENT_SEQUENCE_ERROR

      Enum Code for Segment sequence error

    - #### REQUIRED_FIELD_MISSING

          public static final EnumErrorCode REQUIRED_FIELD_MISSING

      Required field missing

    - #### DATA_TYPE_ERROR

          public static final EnumErrorCode DATA_TYPE_ERROR

      Data type error

    - #### TABLE_VALUE_NOT_FOUND

          public static final EnumErrorCode TABLE_VALUE_NOT_FOUND

      Table value not found

    - #### UNSUPPORTED_MESSAGE_TYPE

          public static final EnumErrorCode UNSUPPORTED_MESSAGE_TYPE

      Unsupported message type

    - #### UNSUPPORTED_EVENT_CODE

          public static final EnumErrorCode UNSUPPORTED_EVENT_CODE

      Unsupported event code

    - #### UNSUPPORTED_PROCESSING_ID

          public static final EnumErrorCode UNSUPPORTED_PROCESSING_ID

      Unsupported processing id

    - #### UNSUPPORTED_VERSION_ID

          public static final EnumErrorCode UNSUPPORTED_VERSION_ID

      Unsupported version id

    - #### APPLICATION_ERROR

          public static final EnumErrorCode APPLICATION_ERROR

      Application Error

  - ### Method Detail

    - #### values

          public static EnumErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumErrorCode c : EnumErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns the String value of this enum.
      Returns:
        String - string value of Eum Error Code.